| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
ROM based class audio
ROM stack support

## Detailed Description

## Functions
void | UsbdAdc_Init (USB_ClassInfo_Audio_Device_t *AudioInterface)
| Initialize ROM based audio device class.
void | UsbdAdc_start_xfr (void)
| Start streaming audio data.
void | UsbdAdc_stop_xfr (void)
| Stop streaming audio data.
ErrorCode_t | USB_Interface_Event (USBD_HANDLE_T hUsb)
| Determind start or stop transfer audio data.
ErrorCode_t | UsbdAdc_ISO_Hdlr (USBD_HANDLE_T hUsb, void *data, uint32_t event)
| Handle response to IN isochronous coming packets.
ErrorCode_t | UsbdAdc_ep0_hdlr (USBD_HANDLE_T hUsb, void *data, uint32_t event)
| Handle response to standard requests (chapter9) from host.

## Function Documentation

ErrorCode_t USB_Interface_Event | ( | USBD_HANDLE_T | hUsb | ) |

Determind start or stop transfer audio data.

Parameters

  hUsb | : Global USB ROM based handle variable

Returns
  ErrorCode_t : LPC_OK for success

ErrorCode_t UsbdAdc_ep0_hdlr | ( | USBD_HANDLE_T | hUsb,
|  | void * | data,
|  | uint32_t | event
| ) |  |

Handle response to standard requests (chapter9) from host.

Parameters

  hUsb | : Global USB ROM based handle variable
  data | : no used
  event | : USB_EVT_OUT, USB_EVT_SETUP

Returns
  ErrorCode_t : LPC_OK for success, ERR_USBD_UNHANDLED otherwise

void UsbdAdc_Init | ( | USB_ClassInfo_Audio_Device_t * | AudioInterface | ) |

Initialize ROM based audio device class.

Returns
  Nothing

ErrorCode_t UsbdAdc_ISO_Hdlr | ( | USBD_HANDLE_T | hUsb,
|  | void * | data,
|  | uint32_t | event
| ) |  |

Handle response to IN isochronous coming packets.

Parameters

  hUsb | : Global USB ROM based handle variable
  data | : Pointer point to buffer storing received data
  event | : USB_EVT_IN only acceptable value

Returns
  ErrorCode_t : LPC_OK for success

void UsbdAdc_start_xfr | ( | void |  | ) |

Start streaming audio data.

Returns
  Nothing

void UsbdAdc_stop_xfr | ( | void |  | ) |

Stop streaming audio data.

Returns
  Nothing